Package org.linphone.core

# Interface CoreListener

All Known Implementing Classes:
  `CoreListenerStub`

public interface CoreListener
That class holds all the callbacks which are called by `Core`.
Once created, add your `CoreListener` using `Core.addListener(org.linphone.core.CoreListener)`.
Keep a reference on it as long as you need it. You can use `Core.removeListener(org.linphone.core.CoreListener)`
to remove it but that isn't mandatory.
The same applies to all listeners in our API.

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountAdded(Core core, Account account)`
Gets the account added callback.
`void`
`onAccountRegistrationStateChanged(Core core, Account account, RegistrationState state, String message)`
Gets the account registration state changed callback.
`void`
`onAccountRemoved(Core core, Account account)`
Gets the new account removed callback.
`void`
`onAudioDeviceChanged(Core core, AudioDevice audioDevice)`
Gets the audio device changed callback.
`void`
`onAudioDevicesListUpdated(Core core)`
Gets the audio devices list updated callback.
`void`
`onAuthenticationRequested(Core core, AuthInfo authInfo, AuthMethod method)`
Get the LinphoneCoreCbsAuthenticationRequestedCb callback.
`void`
`onBuddyInfoUpdated(Core core, Friend linphoneFriend)`
Gets the LinphoneCoreCbsBuddyInfoUpdatedCb callback.
`void`
`onCallCreated(Core core, Call call)`
Gets the call created callback.
`void`
`onCallEncryptionChanged(Core core, Call call, boolean mediaEncryptionEnabled, String authenticationToken)`
Gets the LinphoneCoreCbsCallEncryptionChangedCb callback.
`void`
`onCallGoclearAckSent(Core core, Call call)`
Gets the LinphoneCoreCbsCallGoClearAckSentCb callback.
`void`
`onCallIdUpdated(Core core, String previousCallId, String currentCallId)`
Get the LinphoneCoreCbsCallIdUpdatedCb callback.
`void`
`onCallLogUpdated(Core core, CallLog callLog)`
Get the LinphoneCoreCbsCallLogUpdatedCb callback.
`void`
`onCallReceiveMasterKeyChanged(Core core, Call call, String masterKey)`
Gets the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.
`void`
`onCallSendMasterKeyChanged(Core core, Call call, String masterKey)`
Gets the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.
`void`
`onCallStateChanged(Core core, Call call, Call.State state, String message)`
Get the LinphoneCoreCbsCallStateChangedCb callback.
`void`
`onCallStatsUpdated(Core core, Call call, CallStats callStats)`
Gets the LinphoneCoreCbsCallStatsUpdatedCb callback.
`void`
`onChatRoomEphemeralMessageDeleted(Core core, ChatRoom chatRoom)`
Gets the chat room ephemeral message deleted callback.
`void`
`onChatRoomRead(Core core, ChatRoom chatRoom)`
Get the LinphoneCoreCbsChatRoomReadCb callback.
`void`
`onChatRoomSessionStateChanged(Core core, ChatRoom chatRoom, Call.State state, String message)`
Get the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.
`void`
`onChatRoomStateChanged(Core core, ChatRoom chatRoom, ChatRoom.State state)`
Gets the chat room state changed callback.
`void`
`onChatRoomSubjectChanged(Core core, ChatRoom chatRoom)`
Gets the chat room subject changed callback.
`void`
`onConferenceInfoReceived(Core core, ConferenceInfo conferenceInfo)`
Get the conference info received callback.
`void`
`onConferenceStateChanged(Core core, Conference conference, Conference.State state)`
Gets the conference state changed callback.
`void`
`onConfiguringStatus(Core core, ConfiguringState status, String message)`
Gets the LinphoneCoreCbsConfiguringStatusCb callback.
`void`
`onDefaultAccountChanged(Core core, Account account)`
Gets the default account changed callback.
`void`
`onDtmfReceived(Core core, Call call, int dtmf)`
Get the LinphoneCoreCbsDtmfReceivedCb callback.
`void`
`onEcCalibrationAudioInit(Core core)`
Sets a callback to call when the echo-canceler calibrator has completed its
audio graph.
`void`
`onEcCalibrationAudioUninit(Core core)`
Sets a callback to call when the echo-canceler calibrator destroys its audio
graph.
`void`
`onEcCalibrationResult(Core core, EcCalibratorStatus status, int delayMs)`
Sets a callback to call each time the echo-canceler calibration is completed.
`void`
`onFirstCallStarted(Core core)`
Gets the first call started callback.
`void`
`onFriendListCreated(Core core, FriendList friendList)`
Gets the LinphoneCoreCbsFriendListCreatedCb callback.
`void`
`onFriendListRemoved(Core core, FriendList friendList)`
Gets the LinphoneCoreCbsFriendListRemovedCb callback.
`void`
`onGlobalStateChanged(Core core, GlobalState state, String message)`
Get the global state changed callback.
`void`
`onImeeUserRegistration(Core core, boolean status, String userId, String info)`
Gets the IMEE user registration callback.
`void`
`onInfoReceived(Core core, Call call, InfoMessage message)`
Gets the LinphoneCoreCbsInfoReceivedCb callback.
`void`
`onIsComposingReceived(Core core, ChatRoom chatRoom)`
Get the LinphoneCoreCbsIsComposingReceivedCb callback.
`void`
`onLastCallEnded(Core core)`
Gets the last call ended callback.
`void`
`onLogCollectionUploadProgressIndication(Core core, int offset, int total)`
Gets the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.
`void`
`onLogCollectionUploadStateChanged(Core core, Core.LogCollectionUploadState state, String info)`
Gets the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.
`void`
`onMessageContentEdited(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the message content edited callback.
`void`
`onMessageReceived(Core core, ChatRoom chatRoom, ChatMessage message)`
Get the LinphoneCoreCbsMessageReceivedCb callback.
`void`
`onMessageReceivedUnableDecrypt(Core core, ChatRoom chatRoom, ChatMessage message)`
Get the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.
`void`
`onMessageRetracted(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the message retracted callback.
`void`
`onMessageSent(Core core, ChatRoom chatRoom, ChatMessage message)`
Get the LinphoneCoreCbsMessageSentCb callback.
`void`
`onMessagesReceived(Core core, ChatRoom chatRoom, ChatMessage[] messages)`
Get the LinphoneCoreCbsMessagesReceivedCb callback.
`void`
`onMessageWaitingIndicationChanged(Core core, Event lev, MessageWaitingIndication mwi)`
Gets the message waiting indication changed callback.
`void`
`onNetworkReachable(Core core, boolean reachable)`
Gets the LinphoneCoreCbsNetworkReachableCb callback.
`void`
`onNewAlertTriggered(Core core, Alert alert)`
Gets the on alert callback.
`void`
`onNewMessageReaction(Core core, ChatRoom chatRoom, ChatMessage message, ChatMessageReaction reaction)`
Get the LinphoneCoreCbsNewMessageReactionCb callback.
`void`
`onNewSubscriptionRequested(Core core, Friend linphoneFriend, String url)`
Get the LinphoneCoreCbsNewSubscriptionRequestedCb callback.
`void`
`onNotifyPresenceReceived(Core core, Friend linphoneFriend)`
Get the LinphoneCoreCbsNotifyPresenceReceivedCb callback.
`void`
`onNotifyPresenceReceivedForUriOrTel(Core core, Friend linphoneFriend, String uriOrTel, PresenceModel presenceModel)`
Get the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.
`void`
`onNotifyReceived(Core core, Event linphoneEvent, String notifiedEvent, Content body)`
Gets the LinphoneCoreCbsNotifyReceivedCb callback.
`void`
`onNotifySent(Core core, Event linphoneEvent, Content body)`
Gets the LinphoneCoreCbsNotifySentCb callback.
`void`
`onPreviewDisplayErrorOccurred(Core core, int errorCode)`
Get the preview display error callback for preview.
`void`
`onPublishReceived(Core core, Event linphoneEvent, String publishEvent, Content body)`
Gets the LinphoneCoreCbsPublishReceivedCb callback.
`void`
`onPublishStateChanged(Core core, Event linphoneEvent, PublishState state)`
Gets the LinphoneCoreCbsPublishStateChangedCb callback.
`void`
`onPushNotificationReceived(Core core, String payload)`
Get the push notification received callback.
`void`
`onQrcodeFound(Core core, String result)`
Gets the qrcode found callback.
`void`
`onReactionRemoved(Core core, ChatRoom chatRoom, ChatMessage message, Address address)`
Get the LinphoneCoreCbsReactionRemovedCb callback.
`void`
`onReferReceived(Core core, Address referToAddr, Headers customHeaders, Content content)`
Get the LinphoneCoreCbsReferReceivedCb callback.
`void`
`onRegistrationStateChanged(Core core, ProxyConfig proxyConfig, RegistrationState state, String message)`
Deprecated.
`void`
`onRemainingNumberOfFileTransferChanged(Core core, int downloadCount, int uploadCount)`
Get the LinphoneCoreCbsRemainingNumberOfFileTransferChangedCb callback.
`void`
`onSnapshotTaken(Core core, String filePath)`
Gets the snapshot taken callback.
`void`
`onSubscribeReceived(Core core, Event linphoneEvent, String subscribeEvent, Content body)`
Gets the LinphoneCoreCbsSubscribeReceivedCb callback.
`void`
`onSubscriptionStateChanged(Core core, Event linphoneEvent, SubscriptionState state)`
Gets the LinphoneCoreCbsSubscriptionStateChangedCb callback.
`void`
`onTransferStateChanged(Core core, Call transferred, Call.State callState)`
Gets the LinphoneCoreCbsTransferStateChangedCb callback.
`void`
`onVersionUpdateCheckResultReceived(Core core, VersionUpdateCheckResult result, String version, String url)`
Gets the version update check result callback.

## Method Details

### onGlobalStateChanged

void onGlobalStateChanged(@NonNull Core core, GlobalState state, @NonNull String message)
Get the global state changed callback.

### onRegistrationStateChanged

@Deprecated void onRegistrationStateChanged(@NonNull Core core, @NonNull ProxyConfig proxyConfig, RegistrationState state, @NonNull String message)
Deprecated.
Get the LinphoneCoreCbsRegistrationStateChangedCb callback.

### onConferenceInfoReceived

void onConferenceInfoReceived(@NonNull Core core, @NonNull ConferenceInfo conferenceInfo)
Get the conference info received callback.

### onPushNotificationReceived

void onPushNotificationReceived(@NonNull Core core, @Nullable String payload)
Get the push notification received callback.

### onPreviewDisplayErrorOccurred

void onPreviewDisplayErrorOccurred(@NonNull Core core, int errorCode)
Get the preview display error callback for preview.

### onCallStateChanged

void onCallStateChanged(@NonNull Core core, @NonNull Call call, Call.State state, @NonNull String message)
Get the LinphoneCoreCbsCallStateChangedCb callback.

### onNotifyPresenceReceived

void onNotifyPresenceReceived(@NonNull Core core, @NonNull Friend linphoneFriend)
Get the LinphoneCoreCbsNotifyPresenceReceivedCb callback.

### onNotifyPresenceReceivedForUriOrTel

void onNotifyPresenceReceivedForUriOrTel(@NonNull Core core, @NonNull Friend linphoneFriend, @NonNull String uriOrTel, @NonNull PresenceModel presenceModel)
Get the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.

### onNewSubscriptionRequested

void onNewSubscriptionRequested(@NonNull Core core, @NonNull Friend linphoneFriend, @NonNull String url)
Get the LinphoneCoreCbsNewSubscriptionRequestedCb callback.

### onAuthenticationRequested

void onAuthenticationRequested(@NonNull Core core, @NonNull AuthInfo authInfo, @NonNull AuthMethod method)
Get the LinphoneCoreCbsAuthenticationRequestedCb callback.

### onCallLogUpdated

void onCallLogUpdated(@NonNull Core core, @NonNull CallLog callLog)
Get the LinphoneCoreCbsCallLogUpdatedCb callback.

### onCallIdUpdated

void onCallIdUpdated(@NonNull Core core, @NonNull String previousCallId, @NonNull String currentCallId)
Get the LinphoneCoreCbsCallIdUpdatedCb callback.

### onRemainingNumberOfFileTransferChanged

void onRemainingNumberOfFileTransferChanged(@NonNull Core core, int downloadCount, int uploadCount)
Get the LinphoneCoreCbsRemainingNumberOfFileTransferChangedCb callback.

### onMessageReceived

void onMessageReceived(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Get the LinphoneCoreCbsMessageReceivedCb callback.

### onNewMessageReaction

void onNewMessageReaction(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message, @NonNull ChatMessageReaction reaction)
Get the LinphoneCoreCbsNewMessageReactionCb callback.

### onReactionRemoved

void onReactionRemoved(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message, @NonNull Address address)
Get the LinphoneCoreCbsReactionRemovedCb callback.

### onMessagesReceived

void onMessagesReceived(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage[] messages)
Get the LinphoneCoreCbsMessagesReceivedCb callback.

### onMessageSent

void onMessageSent(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Get the LinphoneCoreCbsMessageSentCb callback.

### onChatRoomSessionStateChanged

void onChatRoomSessionStateChanged(@NonNull Core core, @NonNull ChatRoom chatRoom, Call.State state, @NonNull String message)
Get the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.

### onChatRoomRead

void onChatRoomRead(@NonNull Core core, @NonNull ChatRoom chatRoom)
Get the LinphoneCoreCbsChatRoomReadCb callback.

### onMessageReceivedUnableDecrypt

void onMessageReceivedUnableDecrypt(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Get the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.

### onIsComposingReceived

void onIsComposingReceived(@NonNull Core core, @NonNull ChatRoom chatRoom)
Get the LinphoneCoreCbsIsComposingReceivedCb callback.

### onDtmfReceived

void onDtmfReceived(@NonNull Core core, @NonNull Call call, int dtmf)
Get the LinphoneCoreCbsDtmfReceivedCb callback.

### onReferReceived

void onReferReceived(@NonNull Core core, @NonNull Address referToAddr, @NonNull Headers customHeaders, @Nullable Content content)
Get the LinphoneCoreCbsReferReceivedCb callback.

### onCallGoclearAckSent

void onCallGoclearAckSent(@NonNull Core core, @NonNull Call call)
Gets the LinphoneCoreCbsCallGoClearAckSentCb callback.

### onCallEncryptionChanged

void onCallEncryptionChanged(@NonNull Core core, @NonNull Call call, boolean mediaEncryptionEnabled, @Nullable String authenticationToken)
Gets the LinphoneCoreCbsCallEncryptionChangedCb callback.

### onCallSendMasterKeyChanged

void onCallSendMasterKeyChanged(@NonNull Core core, @NonNull Call call, @Nullable String masterKey)
Gets the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.

### onCallReceiveMasterKeyChanged

void onCallReceiveMasterKeyChanged(@NonNull Core core, @NonNull Call call, @Nullable String masterKey)
Gets the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.

### onTransferStateChanged

void onTransferStateChanged(@NonNull Core core, @NonNull Call transferred, Call.State callState)
Gets the LinphoneCoreCbsTransferStateChangedCb callback.

### onBuddyInfoUpdated

void onBuddyInfoUpdated(@NonNull Core core, @NonNull Friend linphoneFriend)
Gets the LinphoneCoreCbsBuddyInfoUpdatedCb callback.

### onCallStatsUpdated

void onCallStatsUpdated(@NonNull Core core, @NonNull Call call, @NonNull CallStats callStats)
Gets the LinphoneCoreCbsCallStatsUpdatedCb callback.

### onInfoReceived

void onInfoReceived(@NonNull Core core, @NonNull Call call, @NonNull InfoMessage message)
Gets the LinphoneCoreCbsInfoReceivedCb callback.

### onSubscriptionStateChanged

void onSubscriptionStateChanged(@NonNull Core core, @NonNull Event linphoneEvent, SubscriptionState state)
Gets the LinphoneCoreCbsSubscriptionStateChangedCb callback.

### onNotifySent

void onNotifySent(@NonNull Core core, @NonNull Event linphoneEvent, @Nullable Content body)
Gets the LinphoneCoreCbsNotifySentCb callback.

### onNotifyReceived

void onNotifyReceived(@NonNull Core core, @NonNull Event linphoneEvent, @NonNull String notifiedEvent, @Nullable Content body)
Gets the LinphoneCoreCbsNotifyReceivedCb callback.

### onSubscribeReceived

void onSubscribeReceived(@NonNull Core core, @NonNull Event linphoneEvent, @NonNull String subscribeEvent, @Nullable Content body)
Gets the LinphoneCoreCbsSubscribeReceivedCb callback.

### onPublishStateChanged

void onPublishStateChanged(@NonNull Core core, @NonNull Event linphoneEvent, PublishState state)
Gets the LinphoneCoreCbsPublishStateChangedCb callback.

### onPublishReceived

void onPublishReceived(@NonNull Core core, @NonNull Event linphoneEvent, @NonNull String publishEvent, @Nullable Content body)
Gets the LinphoneCoreCbsPublishReceivedCb callback.

### onConfiguringStatus

void onConfiguringStatus(@NonNull Core core, ConfiguringState status, @Nullable String message)
Gets the LinphoneCoreCbsConfiguringStatusCb callback.

### onNetworkReachable

void onNetworkReachable(@NonNull Core core, boolean reachable)
Gets the LinphoneCoreCbsNetworkReachableCb callback.

### onLogCollectionUploadStateChanged

void onLogCollectionUploadStateChanged(@NonNull Core core, Core.LogCollectionUploadState state, @NonNull String info)
Gets the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.

### onLogCollectionUploadProgressIndication

void onLogCollectionUploadProgressIndication(@NonNull Core core, int offset, int total)
Gets the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.

### onFriendListCreated

void onFriendListCreated(@NonNull Core core, @NonNull FriendList friendList)
Gets the LinphoneCoreCbsFriendListCreatedCb callback.

### onFriendListRemoved

void onFriendListRemoved(@NonNull Core core, @NonNull FriendList friendList)
Gets the LinphoneCoreCbsFriendListRemovedCb callback.

### onCallCreated

void onCallCreated(@NonNull Core core, @NonNull Call call)
Gets the call created callback.

### onVersionUpdateCheckResultReceived

void onVersionUpdateCheckResultReceived(@NonNull Core core, @NonNull VersionUpdateCheckResult result, @Nullable String version, @Nullable String url)
Gets the version update check result callback.

### onConferenceStateChanged

void onConferenceStateChanged(@NonNull Core core, @NonNull Conference conference, Conference.State state)
Gets the conference state changed callback.

### onChatRoomStateChanged

void onChatRoomStateChanged(@NonNull Core core, @NonNull ChatRoom chatRoom, ChatRoom.State state)
Gets the chat room state changed callback.

### onChatRoomSubjectChanged

void onChatRoomSubjectChanged(@NonNull Core core, @NonNull ChatRoom chatRoom)
Gets the chat room subject changed callback.

### onChatRoomEphemeralMessageDeleted

void onChatRoomEphemeralMessageDeleted(@NonNull Core core, @NonNull ChatRoom chatRoom)
Gets the chat room ephemeral message deleted callback.

### onImeeUserRegistration

void onImeeUserRegistration(@NonNull Core core, boolean status, @NonNull String userId, @NonNull String info)
Gets the IMEE user registration callback.

### onQrcodeFound

void onQrcodeFound(@NonNull Core core, @Nullable String result)
Gets the qrcode found callback.

### onFirstCallStarted

void onFirstCallStarted(@NonNull Core core)
Gets the first call started callback.

### onLastCallEnded

void onLastCallEnded(@NonNull Core core)
Gets the last call ended callback.

### onAudioDeviceChanged

void onAudioDeviceChanged(@NonNull Core core, @NonNull AudioDevice audioDevice)
Gets the audio device changed callback.

### onAudioDevicesListUpdated

void onAudioDevicesListUpdated(@NonNull Core core)
Gets the audio devices list updated callback.

### onEcCalibrationResult

void onEcCalibrationResult(@NonNull Core core, EcCalibratorStatus status, int delayMs)
Sets a callback to call each time the echo-canceler calibration is completed.

### onEcCalibrationAudioInit

void onEcCalibrationAudioInit(@NonNull Core core)
Sets a callback to call when the echo-canceler calibrator has completed its
audio graph.

### onEcCalibrationAudioUninit

void onEcCalibrationAudioUninit(@NonNull Core core)
Sets a callback to call when the echo-canceler calibrator destroys its audio
graph.

### onAccountRegistrationStateChanged

void onAccountRegistrationStateChanged(@NonNull Core core, @NonNull Account account, RegistrationState state, @NonNull String message)
Gets the account registration state changed callback.

### onDefaultAccountChanged

void onDefaultAccountChanged(@NonNull Core core, @Nullable Account account)
Gets the default account changed callback.

### onAccountAdded

void onAccountAdded(@NonNull Core core, @NonNull Account account)
Gets the account added callback.

### onAccountRemoved

void onAccountRemoved(@NonNull Core core, @NonNull Account account)
Gets the new account removed callback.

### onMessageWaitingIndicationChanged

void onMessageWaitingIndicationChanged(@NonNull Core core, @NonNull Event lev, @NonNull MessageWaitingIndication mwi)
Gets the message waiting indication changed callback.

### onSnapshotTaken

void onSnapshotTaken(@NonNull Core core, @NonNull String filePath)
Gets the snapshot taken callback.

### onMessageContentEdited

void onMessageContentEdited(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Gets the message content edited callback.

### onMessageRetracted

void onMessageRetracted(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Gets the message retracted callback.

### onNewAlertTriggered

void onNewAlertTriggered(@NonNull Core core, @NonNull Alert alert)
Gets the on alert callback.